Bug 1542605 - [Deployment][TLS] OpenDaylight SSL/TLS docker deployments fail due to missing SSL/TLS configuration
Summary: [Deployment][TLS] OpenDaylight SSL/TLS docker deployments fail due to missing...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Tim Rozet
QA Contact: Itzik Brown
URL:
Whiteboard: odl_deployment, odl_tls
Depends On:
Blocks: 1488826
TreeView+ depends on / blocked
 
Reported: 2018-02-06 16:10 UTC by Tim Rozet
Modified: 2018-10-18 07:18 UTC (History)
5 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20180215092255
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
N/A
Last Closed: 2018-06-27 13:43:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1747700 None None None 2018-02-06 16:12:49 UTC
OpenStack gerrit 541321 None master: MERGED tripleo-heat-templates: Fixes SSL/TLS with OpenDaylight docker service (If548fdba836104412bf20e8e05ecf6a5058aa318) 2018-02-21 14:28:25 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:45:00 UTC

Description Tim Rozet 2018-02-06 16:10:31 UTC
Docker deployments fail due to missing configuration for the opendaylight-api template to mount keys and certificates, along with generating the ODL keystore required for SSL/TLS.

Comment 3 Itzik Brown 2018-04-26 09:05:08 UTC
Checked with
openstack-tripleo-heat-templates-8.0.2-0.20180416194362.29a5ad5.el7ost.noarch

Comment 5 errata-xmlrpc 2018-06-27 13:43:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.